org.eclipse.viatra.query.runtime.rete.network

## Class MonotonicityAwareMailbox.MessageIndexer

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.MonotonicityAwareMailbox.MessageIndexer

- All Implemented Interfaces:
    Clearable
  Enclosing class:
    MonotonicityAwareMailbox

      protected class MonotonicityAwareMailbox.MessageIndexer
      extends java.lang.Object
      implements Clearable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<Tuple,java.util.Map<Tuple,java.lang.Integer>>` | `indexer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageIndexer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all partial matchings stored in memory
    `void` | `delete(Tuple update)`
    `int` | `getCount(Tuple update)`
    `java.util.Set<Tuple>` | `getGroups()`
    `java.util.Map<Tuple,java.lang.Integer>` | `getTuplesByGroup(Tuple group)`
    `void` | `insert(Tuple update)`
    `boolean` | `isEmpty()`
    `void` | `update(Tuple update, int delta)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexer

          protected final java.util.Map<Tuple,java.util.Map<Tuple,java.lang.Integer>> indexer

  - ### Constructor Detail

    - #### MessageIndexer

          public MessageIndexer()

  - ### Method Detail

    - #### getTuplesByGroup

          public java.util.Map<Tuple,java.lang.Integer> getTuplesByGroup(Tuple group)

    - #### getCount

          public int getCount(Tuple update)

    - #### getGroups

          public java.util.Set<Tuple> getGroups()

    - #### insert

          public void insert(Tuple update)

    - #### delete

          public void delete(Tuple update)

    - #### update

          public void update(Tuple update,
                             int delta)

    - #### isEmpty

          public boolean isEmpty()

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clear all partial matchings stored in memory
      Specified by:
        `clear` in interface `Clearable`